aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--configure.ac18
-rw-r--r--vcl/Library_vcl.mk2
2 files changed, 15 insertions, 5 deletions
diff --git a/configure.ac b/configure.ac
index 018b6b3883f5..108bc270fcba 100644
--- a/configure.ac
+++ b/configure.ac
@@ -3704,7 +3704,7 @@ fi
if test "$_os" = "iOS" -o "$build_cpu" != "$host_cpu" -o -n "$DISABLE_DYNLOADING"; then
# To allow building Windows multi-arch releases without cross-tooling
- if test -z "$WIN_MULTI_ARCH" -a -z "$WIN_OTHER_ARCH"; then
+ if test -z "$WIN_MULTI_ARCH" -a -z "$WIN_OTHER_ARCH" -o -n "$DISABLE_DYNLOADING"; then
cross_compiling="yes"
fi
fi
@@ -5541,9 +5541,15 @@ if test "$USING_X11" != TRUE; then
test_dbus=no
build_gstreamer_1_0=no
test_kf5=no
- test_qt5=yes
test_gtk3_kde5=no
- enable_cairo_canvas=yes
+ if test "$DISABLE_DYNLOADING" = "TRUE" -a "$OS" != "WNT"; then
+ enable_cairo_canvas=yes
+ test_qt5=yes
+ enable_qt5=yes
+ else
+ enable_cairo_canvas=no
+ test_qt5=no
+ fi
fi
if test "$OS" = "EMSCRIPTEN"; then
@@ -9422,7 +9428,11 @@ no|disable)
# Python is required to build LibreOffice. In theory we could separate the build-time Python
# requirement from the choice whether to include Python stuff in the installer, but why
# bother?
- AC_MSG_ERROR([Python is required at build time.])
+ if test "$cross_compiling" = yes; then
+ enable_python=system
+ else
+ AC_MSG_ERROR([Python is required at build time.])
+ fi
fi
enable_python=no
AC_MSG_RESULT([none])
diff --git a/vcl/Library_vcl.mk b/vcl/Library_vcl.mk
index 6921f5f8cf4a..4b82c3eaea12 100644
--- a/vcl/Library_vcl.mk
+++ b/vcl/Library_vcl.mk
@@ -772,7 +772,7 @@ endif
ifeq ($(OS),WNT)
$(eval $(call gb_Library_add_exception_objects,vcl,\
vcl/source/opengl/win/WinDeviceInfo \
- vcl/source/app/salplug \
+ $(if $(DISABLE_DYNLOADING),vcl/wasm/salplug,vcl/source/app/salplug) \
))
$(eval $(call gb_Library_use_system_win32_libs,vcl,\